Skip to main content
GET
/
v1
/
flow
/
files
List files
curl --request GET \
  --url https://flow.seekr.com/v1/flow/files \
  --header 'Authorization: <api-key>'
import requests

url = "https://flow.seekr.com/v1/flow/files"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://flow.seekr.com/v1/flow/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "filename": "<string>",
      "bytes": 123,
      "created_by": "<string>",
      "original_file_id": "<string>",
      "deleted": true
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Query Parameters

limit
integer
default:250
Required range: 1 <= x <= 1000
offset
integer
default:0
Required range: x >= 0
sort_by
string
default:created_at
Pattern: ^(created_at|filename|type|bytes)$
sort_order
string
default:desc
Pattern: ^(asc|desc)$
purpose
string | null
Pattern: ^(ingestion|vector-ingestion|alignment|reinforcement-fine-tune|fine-tune|pre-train|preference-fine-tune)?$

Response

Successful Response

object
string | null
Allowed value: "list"
data
FileResponse · object[] | null
Last modified on June 18, 2026